zenilib: zenilib/jni/external/sdl/src/video/SDL_blit_auto.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
SDL_blit_auto.c File Reference
`#include "SDL_config.h"`
`#include "SDL_video.h"`
`#include "SDL_blit.h"`
`#include "SDL_blit_auto.h"`

Go to the source code of this file.

## Functions

static void | SDL_Blit_ABGR8888_ARGB8888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_ARGB8888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_ARGB8888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_ARGB8888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_ARGB8888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_ARGB8888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_ARGB8888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_BGR888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_BGR888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_BGR888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_BGR888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_BGR888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_BGR888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_BGR888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_RGB888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_RGB888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_RGB888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_RGB888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_RGB888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_RGB888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ABGR8888_RGB888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_ARGB8888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_ARGB8888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_ARGB8888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_ARGB8888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_ARGB8888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_ARGB8888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_ARGB8888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_BGR888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_BGR888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_BGR888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_BGR888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_BGR888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_BGR888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_BGR888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_RGB888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_RGB888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_RGB888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_RGB888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_RGB888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_RGB888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_ARGB8888_RGB888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_ARGB8888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_ARGB8888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_ARGB8888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_ARGB8888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_ARGB8888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_ARGB8888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_ARGB8888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_BGR888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_BGR888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_BGR888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_BGR888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_BGR888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_BGR888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_BGR888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_RGB888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_RGB888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_RGB888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_RGB888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_RGB888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_RGB888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGR888_RGB888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_ARGB8888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_ARGB8888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_ARGB8888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_ARGB8888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_ARGB8888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_ARGB8888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_ARGB8888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_BGR888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_BGR888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_BGR888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_BGR888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_BGR888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_BGR888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_BGR888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_RGB888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_RGB888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_RGB888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_RGB888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_RGB888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_RGB888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_BGRA8888_RGB888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_ARGB8888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_ARGB8888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_ARGB8888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_ARGB8888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_ARGB8888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_ARGB8888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_ARGB8888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_BGR888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_BGR888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_BGR888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_BGR888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_BGR888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_BGR888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_BGR888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_RGB888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_RGB888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_RGB888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_RGB888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_RGB888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_RGB888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGB888_RGB888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_ARGB8888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_ARGB8888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_ARGB8888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_ARGB8888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_ARGB8888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_ARGB8888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_ARGB8888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_BGR888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_BGR888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_BGR888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_BGR888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_BGR888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_BGR888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_BGR888_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_RGB888_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_RGB888_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_RGB888_Modulate (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_RGB888_Modulate_Blend (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_RGB888_Modulate_Blend_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_RGB888_Modulate_Scale (SDL_BlitInfo *info)
static void | SDL_Blit_RGBA8888_RGB888_Scale (SDL_BlitInfo *info)

## Variables

SDL_BlitFuncEntry | SDL_GeneratedBlitFuncTable []

## Function Documentation

static void SDL_Blit_ABGR8888_ARGB8888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5826 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ABGR8888_ARGB8888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5879 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_ARGB8888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5953 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ABGR8888_ARGB8888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6044 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ABGR8888_ARGB8888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6109 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_ARGB8888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5988 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_ARGB8888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5783 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_BGR888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5414 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ABGR8888_BGR888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5467 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_BGR888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5541 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ABGR8888_BGR888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5632 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ABGR8888_BGR888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5697 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_BGR888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5576 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_BGR888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5371 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_RGB888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5002 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ABGR8888_RGB888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5055 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_RGB888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5129 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ABGR8888_RGB888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5220 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ABGR8888_RGB888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5285 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_RGB888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 5164 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ABGR8888_RGB888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4959 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_ARGB8888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3354 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ARGB8888_ARGB8888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3407 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_ARGB8888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3481 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ARGB8888_ARGB8888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3572 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ARGB8888_ARGB8888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3637 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_ARGB8888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3516 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_ARGB8888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3316 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_BGR888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2947 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ARGB8888_BGR888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3000 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_BGR888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3074 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ARGB8888_BGR888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3165 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ARGB8888_BGR888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3230 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_BGR888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3109 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_BGR888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2904 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_RGB888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2535 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ARGB8888_RGB888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2588 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_RGB888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2662 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ARGB8888_RGB888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2753 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_ARGB8888_RGB888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2818 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_RGB888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2697 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_ARGB8888_RGB888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2492 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_ARGB8888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2123 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGR888_ARGB8888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2176 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_ARGB8888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2250 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGR888_ARGB8888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2341 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGR888_ARGB8888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2406 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_ARGB8888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2285 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_ARGB8888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 2080 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_BGR888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1711 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGR888_BGR888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1764 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_BGR888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1838 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGR888_BGR888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1929 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGR888_BGR888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1994 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_BGR888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1873 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_BGR888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1673 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_RGB888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1304 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGR888_RGB888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1357 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_RGB888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1431 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGR888_RGB888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1522 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGR888_RGB888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1587 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_RGB888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1466 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGR888_RGB888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1261 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_ARGB8888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 7062 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGRA8888_ARGB8888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 7115 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_ARGB8888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 7189 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGRA8888_ARGB8888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 7280 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGRA8888_ARGB8888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 7345 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_ARGB8888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 7224 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_ARGB8888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 7019 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_BGR888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6650 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGRA8888_BGR888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6703 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_BGR888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6777 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGRA8888_BGR888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6868 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGRA8888_BGR888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6933 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_BGR888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6812 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_BGR888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6607 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_RGB888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6238 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGRA8888_RGB888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6291 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_RGB888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6365 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGRA8888_RGB888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6456 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_BGRA8888_RGB888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6521 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_RGB888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6400 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_BGRA8888_RGB888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 6195 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_ARGB8888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 892 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGB888_ARGB8888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 945 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_ARGB8888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1019 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGB888_ARGB8888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1110 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGB888_ARGB8888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1175 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_ARGB8888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1054 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_ARGB8888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 849 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_BGR888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 480 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGB888_BGR888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 533 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_BGR888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 607 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGB888_BGR888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 698 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGB888_BGR888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 763 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_BGR888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 642 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_BGR888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 437 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_RGB888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 68 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGB888_RGB888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 121 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_RGB888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 195 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGB888_RGB888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 286 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGB888_RGB888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 351 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_RGB888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 230 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGB888_RGB888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 30 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_ARGB8888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4590 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGBA8888_ARGB8888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4643 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_ARGB8888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4717 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGBA8888_ARGB8888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4808 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGBA8888_ARGB8888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4873 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_ARGB8888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4752 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_ARGB8888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4547 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_BGR888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4178 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGBA8888_BGR888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4231 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_BGR888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4305 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGBA8888_BGR888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4396 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGBA8888_BGR888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4461 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_BGR888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4340 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_BGR888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4135 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_RGB888_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3766 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGBA8888_RGB888_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3819 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_RGB888_Modulate | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3893 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGBA8888_RGB888_Modulate_Blend | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3984 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, and SDL_BlitInfo::src_pitch.

static void SDL_Blit_RGBA8888_RGB888_Modulate_Blend_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 4049 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, SDL_BlitInfo::r, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_RGB888_Modulate_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3928 of file SDL_blit_auto.c.

References SDL_BlitInfo::a, SDL_BlitInfo::b, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, SDL_BlitInfo::flags, SDL_BlitInfo::g, G, SDL_BlitInfo::r, R, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

static void SDL_Blit_RGBA8888_RGB888_Scale | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 3723 of file SDL_blit_auto.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_w, G, R, SDL_BlitInfo::src, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_w, and while().

## Variable Documentation

SDL_BlitFuncEntry SDL_GeneratedBlitFuncTable[]

Definition at line 7431 of file SDL_blit_auto.c.

Referenced by SDL_CalculateBlit().